This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456030 - rsyslog.conf lacks a proper description of syslog.conf syntax
rsyslog.conf lacks a proper description of syslog.conf syntax
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-20 21:27 EDT by Mikel Ward
Modified: 2008-09-15 08:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 08:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
manual patch (3.66 KB, patch)
2008-07-30 11:29 EDT, Lukas Kuklinek
no flags Details | Diff

  None (edit)
Description Mikel Ward 2008-07-20 21:27:31 EDT
Two problems:
1) man syslog.conf stopped working since sysklogd was replaced by rsyslog,
   despite the configuration file being /etc/syslog.conf not rsyslog.conf
2) rsyslog.conf doesn't document that standard selector format, e.g.
   kern.info    /var/log/iptables
   kern.!=info  /var/log/kernel

There is a section on the HTML documentation as follows.  It's not as easy to
read as the original syslog.conf in my opinion, but it could easily be added to
the man page:

The selector field itself again consists of two parts, a facility and a
priority, separated by a period (".''). Both parts are case insensitive and can
also be specified as decimal numbers, but don't do that, you have been warned.
Both facilities and priorities are described in rsyslog(3). The names mentioned
below correspond to the similar LOG_-values in /usr/include/rsyslog.h.

The facility is one of the following keywords: auth, authpriv, cron, daemon,
kern, lpr, mail, mark, news, security (same as auth), syslog, user, uucp and
local0 through local7. The keyword security should not be used anymore and mark
is only for internal use and therefore should not be used in applications.
Anyway, you may want to specify and redirect these messages here. The facility
specifies the subsystem that produced the message, i.e. all mail programs log
with the mail facility (LOG_MAIL) if they log using syslog.

The priority is one of the following keywords, in ascending order: debug, info,
notice, warning, warn (same as warning), err, error (same as err), crit, alert,
emerg, panic (same as emerg). The keywords error, warn and panic are deprecated
and should not be used anymore. The priority defines the severity of the message.

The behavior of the original BSD syslogd is that all messages of the specified
priority and higher are logged according to the given action. Rsyslogd behaves
the same, but has some extensions.

In addition to the above mentioned names the rsyslogd(8) understands the
following extensions: An asterisk ("*'') stands for all facilities or all
priorities, depending on where it is used (before or after the period). The
keyword none stands for no priority of the given facility.

You can specify multiple facilities with the same priority pattern in one
statement using the comma (",'') operator. You may specify as much facilities as
you want. Remember that only the facility part from such a statement is taken, a
priority part would be skipped.

Multiple selectors may be specified for a single action using the semicolon
(";'') separator. Remember that each selector in the selector field is capable
to overwrite the preceding ones. Using this behavior you can exclude some
priorities from the pattern.

Rsyslogd has a syntax extension to the original BSD source, that makes its use
more intuitively. You may precede every priority with an equation sign ("='') to
specify only this single priority and not any of the above. You may also (both
is valid, too) precede the priority with an exclamation mark ("!'') to ignore
all that priorities, either exact this one or this and any higher priority. If
you use both extensions than the exclamation mark must occur before the equation
sign, just use it intuitively.
Comment 1 Lukas Kuklinek 2008-07-30 11:29:58 EDT
Created attachment 313007 [details]
manual patch

Hello,

Ad 1) the config file IS rsyslog.conf on my system (F-8, but should be for F-9
and rawhide too, according to spec)

Ad 2) Attached patch adds text from the HTML manual to manpage (just copy &
paste). patch fixes also bug #455086.

Any comments?
Comment 2 Mikel Ward 2008-07-30 18:36:22 EDT
Looks good, only I thought there was one paragraph about selectors in the
existing man page, if so, the SELECTORS heading should be moved up, otherwise
great. :-)
Comment 3 Peter Vrabec 2008-09-15 08:56:48 EDT
fixed in rsyslog-3.21.3-4.fc10

Note You need to log in before you can comment on or make changes to this bug.